ALLOC_SKB_WITH_FRAGS(9)

NAME
alloc_skb_with_frags - allocate skb with page frags

SYNOPSIS

struct sk_buff * alloc_skb_with_frags(unsigned long header_len, unsigned long data_len, int max_page_order, int * errcode, gfp_t gfp_mask);

ARGUMENTS

header_len
    size of linear part

data_len
    needed length in frags

max_page_order
    max page order desired.

errcode
    pointer to error code if any

gfp_mask
    allocation mask

DESCRIPTION

This can be used to allocate a paged skb, given a maximal order for frags.

COPYRIGHT